TICKIT_TERM_INPUT_WAIT_MSEC(3)

NAME
tickit_term_input_wait_* - read more data from the terminal

SYNOPSIS
    #include <tickit.h>

    void tickit_term_input_wait_msec(TickitTerm *tt, long msec);
    void tickit_term_input_wait_tv(TickitTerm *tt, const struct timeval *timeout);

Link with -ltickit.

DESCRIPTION
The tickit_term_input_wait_*() family of functions wait for at least one input event to be received, up until the maximum time given. Calling these functions may block if the underlying file descriptor is in blocking mode. They may result in TICKIT_EV_KEY or TICKIT_EV_MOUSE events being invoked.

These functions also invoke deferred TICKIT_EV_RESIZE events if enabled by tickit_term_observe_sigwinch(3).

The functions differ in how the timeout is specified. tickit_term_input_wait_msec() takes a time as an integer in miliseconds, or -1 to wait indefinitely. tickit_term_input_wait_tv() takes a time as a struct timeval, or NULL to wait indefinitely.

RETURN VALUE
tickit_term_input_wait_msec() and tickit_term_input_wait_tv() return no value.

SEE ALSO
tickit_term_new(3), tickit_term_set_input_fd(3), tickit_term_input_readable(3), tickit_term_bind_event(3), tickit_term(7), tickit(7)